#include "ActionDebug.hpp"
#include "../ui/ComponentRegistration.hpp"
#include "../ui/ActionDebugEditor.hpp"

REGISTER_COMPONENT_GROUP("Action Debug", "AI", ActionDebug,
			 ActionDebugEditor)
{
	registry.registerComponent<ActionDebug>(
		"Action Debug", "AI",
		std::make_unique<ActionDebugEditor>(),
		// Adder
		[](flecs::entity e) {
			if (!e.has<ActionDebug>())
				e.set<ActionDebug>({});
		},
		// Remover
		[](flecs::entity e) {
			if (e.has<ActionDebug>())
				e.remove<ActionDebug>();
		});
}
